## org.apache.poi.hwpf.model
Enum FSPADocumentPart

    java.lang.Object
      java.lang.Enum<FSPADocumentPart>
          org.apache.poi.hwpf.model.FSPADocumentPart

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FSPADocumentPart>

    @Internal
    public enum FSPADocumentPart

extends java.lang.Enum<FSPADocumentPart>

Enum Constant Summary
`HEADER`
`MAIN`

Method Summary
`int` `getFibFieldsField()`
`static FSPADocumentPart` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FSPADocumentPart[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HEADER

    public static final FSPADocumentPart HEADER

### MAIN

    public static final FSPADocumentPart MAIN

Method Detail

### values

    public static FSPADocumentPart[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FSPADocumentPart c : FSPADocumentPart.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FSPADocumentPart valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getFibFieldsField

    public int getFibFieldsField()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.